diff --git a/kimap/listrightsjob.cpp b/kimap/listrightsjob.cpp
index 4e79aec..bde9ff0 100644
--- a/kimap/listrightsjob.cpp
+++ b/kimap/listrightsjob.cpp
@@ -19,8 +19,8 @@
 
 #include "listrightsjob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "acljobbase_p.h"
 #include "message_p.h"
@@ -32,7 +32,7 @@ namespace KIMAP
   class ListRightsJobPrivate : public AclJobBasePrivate
   {
     public:
-      ListRightsJobPrivate( Session *session, const QString& name ) : AclJobBasePrivate(session, name), defaultRights(Acl::None) {}
+      ListRightsJobPrivate( Session *session, const QString& name ) : AclJobBasePrivate( session, name ), defaultRights( Acl::None ) {}
       ~ListRightsJobPrivate() { }
 
       Acl::Rights defaultRights;
@@ -44,7 +44,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 ListRightsJob::ListRightsJob( Session *session )
-  : AclJobBase(*new ListRightsJobPrivate(session, i18n("ListRights")))
+  : AclJobBase( *new ListRightsJobPrivate( session, i18n( "ListRights" ) ) )
 {
 
 }
@@ -55,53 +55,53 @@ ListRightsJob::~ListRightsJob()
 
 void ListRightsJob::doStart()
 {
-  Q_D(ListRightsJob);
+  Q_D( ListRightsJob );
 
   d->tags << d->sessionInternal()->sendCommand( "LISTRIGHTS", '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + "\" \"" + d->id + "\"" );
 }
 
 void ListRightsJob::handleResponse( const Message &response )
 {
-  Q_D(ListRightsJob);
+  Q_D( ListRightsJob );
 
-  if (handleErrorReplies(response) == NotHandled) {
-    if ( response.content.size() >= 4
-         && response.content[1].toString() == "LISTRIGHTS" ) {
+  if ( handleErrorReplies( response ) == NotHandled ) {
+    if ( response.content.size() >= 4 &&
+         response.content[1].toString() == "LISTRIGHTS" ) {
       QByteArray s = response.content[4].toString();
-      d->defaultRights = Acl::rightsFromString(s);
+      d->defaultRights = Acl::rightsFromString( s );
       int i = 5;
-      while ( i < response.content.size()) {
+      while ( i < response.content.size() ) {
         s = response.content[i].toString();
-        d->possibleRights.append(Acl::rightsFromString(s));
+        d->possibleRights.append( Acl::rightsFromString( s ) );
         i++;
       }
    }
   }
 }
 
-
 void ListRightsJob::setIdentifier( const QByteArray &identifier )
 {
-  Q_D(ListRightsJob);
-  d->setIdentifier(identifier);
+  Q_D( ListRightsJob );
+  d->setIdentifier( identifier );
 }
 
 QByteArray ListRightsJob::identifier()
 {
-  Q_D(ListRightsJob);
+  Q_D( ListRightsJob );
   return d->identifier();
 }
 
 Acl::Rights ListRightsJob::defaultRights()
 {
-  Q_D(ListRightsJob);
+  Q_D( ListRightsJob );
   return d->defaultRights;
 }
 
 QList<Acl::Rights> ListRightsJob::possibleRights()
 {
-  Q_D(ListRightsJob);
+  Q_D( ListRightsJob );
   return d->possibleRights;
 }
 
 #include "listrightsjob.moc"
+
diff --git a/kimap/loginjob.cpp b/kimap/loginjob.cpp
index da869be..02634b0 100644
--- a/kimap/loginjob.cpp
+++ b/kimap/loginjob.cpp
@@ -2,7 +2,6 @@
     Copyright (c) 2009 Kevin Ottens <ervin@kde.org>
     Copyright (c) 2009 Andras Mantia <amantia@kde.org>
 
-
     This library is free software; you can redistribute it and/or modify it
     under the terms of the GNU Library General Public License as published by
     the Free Software Foundation; either version 2 of the License, or (at your
@@ -21,8 +20,8 @@
 
 #include "loginjob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 #include <ktcpsocket.h>
 
 #include "job_p.h"
@@ -59,7 +58,7 @@ namespace KIMAP
         Authenticate
       };
 
-      LoginJobPrivate( LoginJob *job, Session *session, const QString& name ) : JobPrivate(session, name), q(job), encryptionMode(LoginJob::Unencrypted),  authState(Login), plainLoginDisabled(false) {
+      LoginJobPrivate( LoginJob *job, Session *session, const QString& name ) : JobPrivate( session, name ), q( job ), encryptionMode( LoginJob::Unencrypted ), authState( Login ), plainLoginDisabled( false ) {
         conn = 0;
         client_interact = 0;
       }
@@ -93,7 +92,7 @@ using namespace KIMAP;
 
 bool LoginJobPrivate::sasl_interact()
 {
-  kDebug() <<"sasl_interact";
+  kDebug() << "sasl_interact";
   sasl_interact_t *interact = client_interact;
 
   //some mechanisms do not require username && pass, so it doesn't need a popup
@@ -107,23 +106,23 @@ bool LoginJobPrivate::sasl_interact()
   }
 
   interact = client_interact;
-  while( interact->id != SASL_CB_LIST_END ) {
-    kDebug() <<"SASL_INTERACT id:" << interact->id;
-    switch( interact->id ) {
+  while ( interact->id != SASL_CB_LIST_END ) {
+    kDebug() << "SASL_INTERACT id:" << interact->id;
+    switch ( interact->id ) {
       case SASL_CB_AUTHNAME:
         if ( !authorizationName.isEmpty() ) {
-          kDebug() <<"SASL_CB_[AUTHNAME]: '" << authorizationName <<"'";
+          kDebug() << "SASL_CB_[AUTHNAME]: '" << authorizationName << "'";
           interact->result = strdup( authorizationName.toUtf8() );
           interact->len = strlen( (const char *) interact->result );
           break;
         }
       case SASL_CB_USER:
-        kDebug() <<"SASL_CB_[USER|AUTHNAME]: '" << userName <<"'";
+        kDebug() << "SASL_CB_[USER|AUTHNAME]: '" << userName << "'";
         interact->result = strdup( userName.toUtf8() );
         interact->len = strlen( (const char *) interact->result );
         break;
       case SASL_CB_PASS:
-        kDebug() <<"SASL_CB_PASS: [hidden]";
+        kDebug() << "SASL_CB_PASS: [hidden]";
         interact->result = strdup( password.toUtf8() );
         interact->len = strlen( (const char *) interact->result );
         break;
@@ -137,62 +136,64 @@ bool LoginJobPrivate::sasl_interact()
   return true;
 }
 
-
 LoginJob::LoginJob( Session *session )
-  : Job( *new LoginJobPrivate(this, session, i18n("Login")) )
+  : Job( *new LoginJobPrivate( this, session, i18n( "Login" ) ) )
 {
-  Q_D(LoginJob);
-  connect(d->sessionInternal(), SIGNAL(encryptionNegotiationResult(bool)), this, SLOT(sslResponse(bool)));
+  Q_D( LoginJob );
+  connect( d->sessionInternal(), SIGNAL(encryptionNegotiationResult(bool)), this, SLOT(sslResponse(bool)) );
+  kDebug() << this;
 }
 
 LoginJob::~LoginJob()
 {
+  kDebug() << this;
 }
 
 QString LoginJob::userName() const
 {
-  Q_D(const LoginJob);
+  Q_D( const LoginJob );
   return d->userName;
 }
 
 void LoginJob::setUserName( const QString &userName )
 {
-  Q_D(LoginJob);
+  Q_D( LoginJob );
   d->userName = userName;
 }
 
 QString LoginJob::authorizationName() const
 {
-  Q_D(const LoginJob);
+  Q_D( const LoginJob );
   return d->authorizationName;
 }
 
 void LoginJob::setAuthorizationName( const QString& authorizationName )
 {
-  Q_D(LoginJob);
+  Q_D( LoginJob );
   d->authorizationName = authorizationName;
 }
 
 QString LoginJob::password() const
 {
-  Q_D(const LoginJob);
+  Q_D( const LoginJob );
   return d->password;
 }
 
 void LoginJob::setPassword( const QString &password )
 {
-  Q_D(LoginJob);
+  Q_D( LoginJob );
   d->password = password;
 }
 
 void LoginJob::doStart()
 {
-  Q_D(LoginJob);
+  Q_D( LoginJob );
 
+  kDebug() << this;
   // Don't authenticate on a session in the authenticated state
   if ( session()->state() == Session::Authenticated || session()->state() == Session::Selected ) {
     setError( UserDefinedError );
-    setErrorText( i18n("IMAP session in the wrong state for authentication") );
+    setErrorText( i18n( "IMAP session in the wrong state for authentication" ) );
     emitResult();
     return;
   }
@@ -209,53 +210,57 @@ void LoginJob::doStart()
   // (so for instance we won't issue another STARTTLS for nothing if that's
   // not needed)
   case KTcpSocket::SslV2:
-    if ( encryptionMode==SslV2 ) {
+    if ( encryptionMode == SslV2 ) {
       encryptionMode = Unencrypted;
     }
     break;
   case KTcpSocket::SslV3:
-    if ( encryptionMode==SslV3 ) {
+    if ( encryptionMode == SslV3 ) {
       encryptionMode = Unencrypted;
     }
     break;
   case KTcpSocket::TlsV1:
-    if ( encryptionMode==TlsV1 ) {
+    if ( encryptionMode == TlsV1 ) {
       encryptionMode = Unencrypted;
     }
     break;
   case KTcpSocket::AnySslVersion:
-    if ( encryptionMode==AnySslVersion ) {
+    if ( encryptionMode == AnySslVersion ) {
       encryptionMode = Unencrypted;
     }
     break;
   }
 
-  if (encryptionMode == SslV2
-   || encryptionMode == SslV3
-   || encryptionMode == SslV3_1
-   || encryptionMode == AnySslVersion) {
+  if ( encryptionMode == SslV2 ||
+       encryptionMode == SslV3 ||
+       encryptionMode == SslV3_1 ||
+       encryptionMode == AnySslVersion ) {
     KTcpSocket::SslVersion version = KTcpSocket::SslV2;
-    if (encryptionMode == SslV3)
+    if ( encryptionMode == SslV3 ) {
       version = KTcpSocket::SslV3;
-    if (encryptionMode == SslV3_1)
+    }
+    if ( encryptionMode == SslV3_1 ) {
       version = KTcpSocket::SslV3_1;
-    if (encryptionMode == AnySslVersion)
+    }
+    if ( encryptionMode == AnySslVersion ) {
       version = KTcpSocket::AnySslVersion;
-    d->sessionInternal()->startSsl(version);
+    }
+    d->sessionInternal()->startSsl( version );
 
-  } else if (encryptionMode == TlsV1) {
+  } else if ( encryptionMode == TlsV1 ) {
     d->authState = LoginJobPrivate::StartTls;
     d->tags << d->sessionInternal()->sendCommand( "STARTTLS" );
 
-  } else  if (encryptionMode == Unencrypted ) {
-    if (d->authMode.isEmpty()) {
+  } else  if ( encryptionMode == Unencrypted  ) {
+    if ( d->authMode.isEmpty() ) {
       d->authState = LoginJobPrivate::Login;
+      kDebug() << "sending LOGIN";
       d->tags << d->sessionInternal()->sendCommand( "LOGIN",
-                                                  '"'+quoteIMAP( d->userName ).toUtf8()+'"'
-                                                 +' '
-                                                 +'"'+quoteIMAP(d->password ).toUtf8()+'"' );
+                                                    '"' + quoteIMAP( d->userName ).toUtf8() + '"' +
+                                                    ' ' +
+                                                    '"' + quoteIMAP( d->password  ).toUtf8() + '"' );
     } else {
-      if (!d->startAuthentication()) {
+      if ( !d->startAuthentication() ) {
         emitResult();
       }
     }
@@ -264,17 +269,18 @@ void LoginJob::doStart()
 
 void LoginJob::handleResponse( const Message &response )
 {
-  Q_D(LoginJob);
+  Q_D( LoginJob );
 
-  if ( response.content.isEmpty() )
+  if ( response.content.isEmpty() ) {
     return;
+  }
 
   //set the actual command name for standard responses
-  QString commandName = i18n("Login");
-  if (d->authState == LoginJobPrivate::Capability) {
-    commandName = i18n("Capability");
-  } else if (d->authState == LoginJobPrivate::StartTls) {
-    commandName = i18n("StartTls");
+  QString commandName = i18n( "Login" );
+  if ( d->authState == LoginJobPrivate::Capability ) {
+    commandName = i18n( "Capability" );
+  } else if ( d->authState == LoginJobPrivate::StartTls ) {
+    commandName = i18n( "StartTls" );
   }
 
   enum ResponseCode {
@@ -286,36 +292,41 @@ void LoginJob::handleResponse( const Message &response )
   };
 
   QByteArray tag = response.content.first().toString();
-  ResponseCode code;
+  ResponseCode code = OK;
+
+  kDebug() << commandName << tag;
 
   if ( tag == "+" ) {
     code = CONTINUATION;
   } else if ( tag == "*" ) {
-    if ( response.content.size() < 2 )
+    if ( response.content.size() < 2 ) {
       code = MALFORMED; // Received empty untagged response
-    else
+    } else {
       code = UNTAGGED;
-  } else if ( d->tags.contains(tag) ) {
-    if ( response.content.size() < 2 )
+    }
+  } else if ( d->tags.contains( tag ) ) {
+    if ( response.content.size() < 2 ) {
       code = MALFORMED;
-    else if ( response.content[1].toString() == "OK" )
+    } else if ( response.content[1].toString() == "OK" ) {
       code = OK;
-    else
+    } else {
       code = ERR;
+    }
   }
 
-  switch (code) {
+  switch ( code ) {
     case MALFORMED:
       // We'll handle it later
       break;
 
     case ERR:
       //server replied with NO or BAD for SASL authentication
-      if (d->authState == LoginJobPrivate::Authenticate)
+      if ( d->authState == LoginJobPrivate::Authenticate ) {
         sasl_dispose( &d->conn );
+      }
 
       setError( UserDefinedError );
-      setErrorText( i18n("%1 failed, server replied: %2", commandName, response.toString().constData()) );
+      setErrorText( i18n( "%1 failed, server replied: %2", commandName, response.toString().constData() ) );
       emitResult();
       return;
 
@@ -323,11 +334,12 @@ void LoginJob::handleResponse( const Message &response )
       // The only untagged response interesting for us here is CAPABILITY
       if ( response.content[1].toString() == "CAPABILITY" ) {
         QList<Message::Part>::const_iterator p = response.content.begin() + 2;
-        while (p != response.content.end()) {
+        while ( p != response.content.end() ) {
           QString capability = p->toString();
           d->capabilities << capability;
-          if (capability == "LOGINDISABLED")
+          if ( capability == "LOGINDISABLED" ) {
             d->plainLoginDisabled = true;
+          }
           ++p;
         }
         kDebug() << "Capabilities updated: " << d->capabilities;
@@ -335,7 +347,7 @@ void LoginJob::handleResponse( const Message &response )
       break;
 
     case CONTINUATION:
-      if (d->authState != LoginJobPrivate::Authenticate) {
+      if ( d->authState != LoginJobPrivate::Authenticate ) {
         // Received unexpected continuation response for something
         // other than AUTHENTICATE command
         code = MALFORMED;
@@ -343,7 +355,7 @@ void LoginJob::handleResponse( const Message &response )
       }
 
       if ( d->authMode == QLatin1String( "PLAIN" ) ) {
-        if ( response.content.size()>1 && response.content.at( 1 ).toString()=="OK" ) {
+        if ( response.content.size()>1 && response.content.at( 1 ).toString() == "OK" ) {
           return;
         }
         QByteArray challengeResponse;
@@ -357,7 +369,7 @@ void LoginJob::handleResponse( const Message &response )
         challengeResponse = challengeResponse.toBase64();
         d->sessionInternal()->sendData( challengeResponse );
       } else if ( response.content.size() >= 2 ) {
-        if (!d->answerChallenge(QByteArray::fromBase64(response.content[1].toString()))) {
+        if ( !d->answerChallenge( QByteArray::fromBase64( response.content[1].toString() ) ) ) {
           emitResult(); //error, we're done
         }
       } else {
@@ -368,41 +380,41 @@ void LoginJob::handleResponse( const Message &response )
 
     case OK:
 
-      switch (d->authState) {
+      switch ( d->authState ) {
         case LoginJobPrivate::StartTls:
-          d->sessionInternal()->startSsl(KTcpSocket::TlsV1);
+          d->sessionInternal()->startSsl( KTcpSocket::TlsV1 );
           break;
 
         case LoginJobPrivate::Capability:
           //cleartext login, if enabled
-          if (d->authMode.isEmpty()) {
-            if (d->plainLoginDisabled) {
+          if ( d->authMode.isEmpty() ) {
+            if ( d->plainLoginDisabled ) {
               setError( UserDefinedError );
-              setErrorText( i18n("Login failed, plain login is disabled by the server.") );
+              setErrorText( i18n( "Login failed, plain login is disabled by the server." ) );
               emitResult();
             } else {
               d->authState = LoginJobPrivate::Login;
               d->tags << d->sessionInternal()->sendCommand( "LOGIN",
-                                                          '"'+quoteIMAP( d->userName ).toUtf8()+'"'
-                                                         +' '
-                                                         +'"'+quoteIMAP( d->password ).toUtf8()+'"');
+                                                            '"' + quoteIMAP( d->userName ).toUtf8() + '"' +
+                                                            ' ' +
+                                                            '"' + quoteIMAP( d->password ).toUtf8() + '"' );
             }
           } else {
             bool authModeSupported = false;
             //find the selected SASL authentication method
-            Q_FOREACH(const QString &capability, d->capabilities) {
-              if (capability.startsWith(QLatin1String("AUTH="))) {
-                if (capability.mid(5) == d->authMode) {
+            Q_FOREACH ( const QString &capability, d->capabilities ) {
+              if ( capability.startsWith( QLatin1String( "AUTH=" ) ) ) {
+                if ( capability.mid( 5 ) == d->authMode ) {
                   authModeSupported = true;
                   break;
                 }
               }
             }
-            if (!authModeSupported) {
+            if ( !authModeSupported ) {
               setError( UserDefinedError );
-              setErrorText( i18n("Login failed, authentication mode %1 is not supported by the server.", d->authMode) );
+              setErrorText( i18n( "Login failed, authentication mode %1 is not supported by the server.", d->authMode ) );
               emitResult();
-            } else if (!d->startAuthentication()) {
+            } else if ( !d->startAuthentication() ) {
               emitResult(); //problem, we're done
             }
           }
@@ -421,7 +433,7 @@ void LoginJob::handleResponse( const Message &response )
   }
 
   if ( code == MALFORMED ) {
-    setErrorText( i18n("%1 failed, malformed reply from the server.", commandName) );
+    setErrorText( i18n( "%1 failed, malformed reply from the server.", commandName ) );
     emitResult();
   }
 }
@@ -429,9 +441,9 @@ void LoginJob::handleResponse( const Message &response )
 bool LoginJobPrivate::startAuthentication()
 {
   //SASL authentication
-  if (!initSASL()) {
+  if ( !initSASL() ) {
     q->setError( LoginJob::UserDefinedError );
-    q->setErrorText( i18n("Login failed, client cannot initialize the SASL library.") );
+    q->setErrorText( i18n( "Login failed, client cannot initialize the SASL library." ) );
     return false;
   }
 
@@ -442,14 +454,14 @@ bool LoginJobPrivate::startAuthentication()
 
   int result = sasl_client_new( "imap", m_session->hostName().toLatin1(), 0, 0, callbacks, 0, &conn );
   if ( result != SASL_OK ) {
-    kDebug() <<"sasl_client_new failed with:" << result;
+    kDebug() << "sasl_client_new failed with:" << result;
     q->setError( LoginJob::UserDefinedError );
     q->setErrorText( QString::fromUtf8( sasl_errdetail( conn ) ) );
     return false;
   }
 
   do {
-    result = sasl_client_start(conn, authMode.toLatin1(), &client_interact, capabilities.contains("SASL-IR") ? &out : 0, &outlen, &mechusing);
+    result = sasl_client_start( conn, authMode.toLatin1(), &client_interact, capabilities.contains( "SASL-IR" ) ? &out : 0, &outlen, &mechusing );
 
     if ( result == SASL_INTERACT ) {
       if ( !sasl_interact() ) {
@@ -461,7 +473,7 @@ bool LoginJobPrivate::startAuthentication()
   } while ( result == SASL_INTERACT );
 
   if ( result != SASL_CONTINUE && result != SASL_OK ) {
-    kDebug() <<"sasl_client_start failed with:" << result;
+    kDebug() << "sasl_client_start failed with:" << result;
     q->setError( LoginJob::UserDefinedError );
     q->setErrorText( QString::fromUtf8( sasl_errdetail( conn ) ) );
     sasl_dispose( &conn );
@@ -487,12 +499,12 @@ bool LoginJobPrivate::answerChallenge(const QByteArray &data)
   const char *out = 0;
   uint outlen = 0;
   do {
-    result = sasl_client_step(conn, challenge.isEmpty() ? 0 : challenge.data(),
-                              challenge.size(),
-                              &client_interact,
-                              &out, &outlen);
+    result = sasl_client_step( conn, challenge.isEmpty() ? 0 : challenge.data(),
+                               challenge.size(),
+                               &client_interact,
+                               &out, &outlen );
 
-    if (result == SASL_INTERACT) {
+    if ( result == SASL_INTERACT ) {
       if ( !sasl_interact() ) {
         q->setError( LoginJob::UserDefinedError ); //TODO: check up the actual error
         sasl_dispose( &conn );
@@ -502,7 +514,7 @@ bool LoginJobPrivate::answerChallenge(const QByteArray &data)
   } while ( result == SASL_INTERACT );
 
   if ( result != SASL_CONTINUE && result != SASL_OK ) {
-    kDebug() <<"sasl_client_step failed with:" << result;
+    kDebug() << "sasl_client_step failed with:" << result;
     q->setError( LoginJob::UserDefinedError ); //TODO: check up the actual error
     q->setErrorText( QString::fromUtf8( sasl_errdetail( conn ) ) );
     sasl_dispose( &conn );
@@ -519,12 +531,12 @@ bool LoginJobPrivate::answerChallenge(const QByteArray &data)
 
 void LoginJobPrivate::sslResponse(bool response)
 {
-  if (response) {
+  if ( response ) {
     authState = LoginJobPrivate::Capability;
     tags << sessionInternal()->sendCommand( "CAPABILITY" );
   } else {
     q->setError( LoginJob::UserDefinedError );
-    q->setErrorText( i18n("Login failed, TLS negotiation failed." ));
+    q->setErrorText( i18n( "Login failed, TLS negotiation failed." ) );
     encryptionMode = LoginJob::Unencrypted;
     q->emitResult();
   }
@@ -532,21 +544,20 @@ void LoginJobPrivate::sslResponse(bool response)
 
 void LoginJob::setEncryptionMode(EncryptionMode mode)
 {
-  Q_D(LoginJob);
+  Q_D( LoginJob );
   d->encryptionMode = mode;
 }
 
 LoginJob::EncryptionMode LoginJob::encryptionMode()
 {
-  Q_D(LoginJob);
+  Q_D( LoginJob );
   return d->encryptionMode;
 }
 
 void LoginJob::setAuthenticationMode(AuthenticationMode mode)
 {
-  Q_D(LoginJob);
-  switch (mode)
-  {
+  Q_D( LoginJob );
+  switch ( mode ) {
     case ClearText: d->authMode = "";
       break;
     case Login: d->authMode = "LOGIN";
@@ -568,13 +579,13 @@ void LoginJob::setAuthenticationMode(AuthenticationMode mode)
 
 void LoginJob::connectionLost()
 {
-  Q_D(LoginJob);
+  Q_D( LoginJob );
 
   //don't emit the result if the connection was lost before getting the tls result, as it can mean
   //the TLS handshake failed and the socket was reconnected in normal mode
-  if (d->authState != LoginJobPrivate::StartTls) {
+  if ( d->authState != LoginJobPrivate::StartTls ) {
     setError( ERR_COULD_NOT_CONNECT );
-    setErrorText( i18n("Connection to server lost.") );
+    setErrorText( i18n( "Connection to server lost." ) );
     emitResult();
   }
 
@@ -585,25 +596,26 @@ void LoginJobPrivate::saveServerGreeting(const Message &response)
   // Concatenate the parts of the server response into a string, while dropping the first two parts
   // (the response tag and the "OK" code), and being careful not to add useless extra whitespace.
 
-  for ( int i=2; i<response.content.size(); i++) {
-    if ( response.content.at(i).type()==Message::Part::List ) {
-      serverGreeting+='(';
-      foreach ( const QByteArray &item, response.content.at(i).toList() ) {
-        serverGreeting+=item+' ';
+  for ( int i = 2; i < response.content.size(); i++ ) {
+    if ( response.content.at( i ).type() == Message::Part::List ) {
+      serverGreeting += '(';
+      foreach ( const QByteArray &item, response.content.at( i ).toList() ) {
+        serverGreeting += item + ' ';
       }
-      serverGreeting.chop(1);
-      serverGreeting+=") ";
+      serverGreeting.chop( 1 );
+      serverGreeting += ") ";
     } else {
-      serverGreeting+=response.content.at(i).toString()+' ';
+      serverGreeting+=response.content.at( i ).toString() + ' ';
     }
   }
-  serverGreeting.chop(1);
+  serverGreeting.chop( 1 );
 }
 
 QString LoginJob::serverGreeting() const
 {
-  Q_D(const LoginJob);
+  Q_D( const LoginJob );
   return d->serverGreeting;
 }
 
 #include "loginjob.moc"
+
diff --git a/kimap/logoutjob.cpp b/kimap/logoutjob.cpp
index 9f191dd..5c9bc19 100644
--- a/kimap/logoutjob.cpp
+++ b/kimap/logoutjob.cpp
@@ -19,7 +19,7 @@
 
 #include "logoutjob.h"
 
-#include <klocale.h>
+#include <KDE/KLocalizedString>
 
 #include "job_p.h"
 #include "message_p.h"
@@ -30,7 +30,7 @@ namespace KIMAP
   class LogoutJobPrivate : public JobPrivate
   {
     public:
-      LogoutJobPrivate( Session *session, const QString& name ) : JobPrivate(session, name) { }
+      LogoutJobPrivate( Session *session, const QString& name ) : JobPrivate( session, name ) { }
       ~LogoutJobPrivate() { }
   };
 }
@@ -38,7 +38,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 LogoutJob::LogoutJob( Session *session )
-  : Job( *new LogoutJobPrivate(session, i18n("Logout")) )
+  : Job( *new LogoutJobPrivate( session, i18n( "Logout" ) ) )
 {
 }
 
@@ -48,7 +48,7 @@ LogoutJob::~LogoutJob()
 
 void LogoutJob::doStart()
 {
-  Q_D(LogoutJob);
+  Q_D( LogoutJob );
   d->tags << d->sessionInternal()->sendCommand( "LOGOUT" );
 }
 
@@ -58,3 +58,4 @@ void LogoutJob::connectionLost()
 }
 
 #include "logoutjob.moc"
+
diff --git a/kimap/metadatajobbase.cpp b/kimap/metadatajobbase.cpp
index fa9dc53..bc7a8d5 100644
--- a/kimap/metadatajobbase.cpp
+++ b/kimap/metadatajobbase.cpp
@@ -22,50 +22,48 @@
 #include "message_p.h"
 #include "session_p.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 using namespace KIMAP;
 
 MetaDataJobBase::MetaDataJobBase( Session *session )
-  : Job( *new MetaDataJobBasePrivate(session, i18n("MetaDataJobBase")) )
+  : Job( *new MetaDataJobBasePrivate( session, i18n( "MetaDataJobBase" ) ) )
 {
 }
 
-
 MetaDataJobBase::MetaDataJobBase( JobPrivate &dd )
-  : Job(dd)
+  : Job( dd )
 {
-
 }
 
 MetaDataJobBase::~MetaDataJobBase()
 {
 }
 
-
 void MetaDataJobBase::setMailBox( const QString &mailBox )
 {
-  Q_D(MetaDataJobBase);
+  Q_D( MetaDataJobBase );
   d->mailBox = mailBox;
 }
 
 QString MetaDataJobBase::mailBox() const
 {
-  Q_D(const MetaDataJobBase);
+  Q_D( const MetaDataJobBase );
   return d->mailBox;
 }
 
 void MetaDataJobBase::setServerCapability(const ServerCapability& capability)
 {
-  Q_D(MetaDataJobBase);
+  Q_D( MetaDataJobBase );
   d->serverCapability = capability;
 }
 
 MetaDataJobBase::ServerCapability MetaDataJobBase::serverCapability() const
 {
-  Q_D(const MetaDataJobBase);
+  Q_D( const MetaDataJobBase );
   return d->serverCapability;
 }
 
 #include "metadatajobbase.moc"
+
diff --git a/kimap/myrightsjob.cpp b/kimap/myrightsjob.cpp
index 46354ae..49790b3 100644
--- a/kimap/myrightsjob.cpp
+++ b/kimap/myrightsjob.cpp
@@ -19,8 +19,8 @@
 
 #include "myrightsjob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "acljobbase_p.h"
 #include "message_p.h"
@@ -32,7 +32,7 @@ namespace KIMAP
   class MyRightsJobPrivate : public AclJobBasePrivate
   {
     public:
-      MyRightsJobPrivate( Session *session, const QString& name ) : AclJobBasePrivate(session, name), myRights(Acl::None) {}
+      MyRightsJobPrivate( Session *session, const QString& name ) : AclJobBasePrivate( session, name ), myRights( Acl::None ) {}
       ~MyRightsJobPrivate() { }
 
       Acl::Rights myRights;
@@ -42,7 +42,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 MyRightsJob::MyRightsJob( Session *session )
-  : AclJobBase( *new MyRightsJobPrivate(session, i18n("MyRights") ))
+  : AclJobBase( *new MyRightsJobPrivate( session, i18n( "MyRights" ) ) )
 {
 }
 
@@ -52,18 +52,18 @@ MyRightsJob::~MyRightsJob()
 
 void MyRightsJob::doStart()
 {
-  Q_D(MyRightsJob);
+  Q_D( MyRightsJob );
 
-  d->tags << d->sessionInternal()->sendCommand( "MYRIGHTS", '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + '\"');
+  d->tags << d->sessionInternal()->sendCommand( "MYRIGHTS", '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + '\"' );
 }
 
 void MyRightsJob::handleResponse( const Message &response )
 {
-  Q_D(MyRightsJob);
+  Q_D( MyRightsJob );
 
-  if (handleErrorReplies(response) == NotHandled) {
-    if ( response.content.size() == 4
-         && response.content[1].toString() == "MYRIGHTS" ) {
+  if ( handleErrorReplies( response ) == NotHandled ) {
+    if ( response.content.size() == 4 &&
+         response.content[1].toString() == "MYRIGHTS" ) {
       d->myRights = Acl::rightsFromString( response.content[3].toString() );
     }
   }
@@ -71,14 +71,15 @@ void MyRightsJob::handleResponse( const Message &response )
 
 bool MyRightsJob::hasRightEnabled(Acl::Right right)
 {
-  Q_D(MyRightsJob);
+  Q_D( MyRightsJob );
   return d->myRights & right;
 }
 
 Acl::Rights MyRightsJob::rights()
 {
-  Q_D(MyRightsJob);
+  Q_D( MyRightsJob );
   return d->myRights;
 }
 
 #include "myrightsjob.moc"
+
diff --git a/kimap/namespacejob.cpp b/kimap/namespacejob.cpp
index 639e55d..47b3930 100644
--- a/kimap/namespacejob.cpp
+++ b/kimap/namespacejob.cpp
@@ -19,8 +19,8 @@
 
 #include "namespacejob.h"
 
-#include <kdebug.h>
-#include <klocale.h>
+#include <KDE/KDebug>
+#include <KDE/KLocalizedString>
 
 #include "job_p.h"
 #include "listjob.h"
@@ -34,7 +34,7 @@ namespace KIMAP
   class NamespaceJobPrivate : public JobPrivate
   {
     public:
-      NamespaceJobPrivate( Session *session,  const QString& name ) : JobPrivate(session, name) { }
+      NamespaceJobPrivate( Session *session,  const QString& name ) : JobPrivate( session, name ) { }
       ~NamespaceJobPrivate() { }
 
       QList<MailBoxDescriptor> processNamespaceList( const QList<QByteArray> &namespaceList )
@@ -55,7 +55,7 @@ namespace KIMAP
                 descriptor.separator = QChar( parts[1][0] );
 
                 result << descriptor;
-            } catch (KIMAP::ImapParserException e) {
+            } catch ( KIMAP::ImapParserException e ) {
                 qWarning() << "The stream parser raised an exception during namespace list parsing:" << e.what();
                 qWarning() << "namespacelist:" << namespaceList;
             }
@@ -74,7 +74,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 NamespaceJob::NamespaceJob( Session *session )
-  : Job( *new NamespaceJobPrivate(session, i18n("Namespace")) )
+  : Job( *new NamespaceJobPrivate( session, i18n( "Namespace" ) ) )
 {
 }
 
@@ -84,25 +84,25 @@ NamespaceJob::~NamespaceJob()
 
 QList<MailBoxDescriptor> NamespaceJob::personalNamespaces() const
 {
-  Q_D(const NamespaceJob);
+  Q_D( const NamespaceJob );
   return d->personalNamespaces;
 }
 
 QList<MailBoxDescriptor> NamespaceJob::userNamespaces() const
 {
-  Q_D(const NamespaceJob);
+  Q_D( const NamespaceJob );
   return d->userNamespaces;
 }
 
 QList<MailBoxDescriptor> NamespaceJob::sharedNamespaces() const
 {
-  Q_D(const NamespaceJob);
+  Q_D( const NamespaceJob );
   return d->sharedNamespaces;
 }
 
 bool NamespaceJob::containsEmptyNamespace() const
 {
-  Q_D(const NamespaceJob);
+  Q_D( const NamespaceJob );
   QList<MailBoxDescriptor> completeList = d->personalNamespaces
                                         + d->userNamespaces
                                         + d->sharedNamespaces;
@@ -118,16 +118,16 @@ bool NamespaceJob::containsEmptyNamespace() const
 
 void NamespaceJob::doStart()
 {
-  Q_D(NamespaceJob);
+  Q_D( NamespaceJob );
   d->tags << d->sessionInternal()->sendCommand( "NAMESPACE" );
 }
 
 void NamespaceJob::handleResponse( const Message &response )
 {
-  Q_D(NamespaceJob);
-  if (handleErrorReplies(response) == NotHandled) {
-    if ( response.content.size() >= 5
-      && response.content[1].toString()=="NAMESPACE" ) {
+  Q_D( NamespaceJob );
+  if ( handleErrorReplies( response ) == NotHandled ) {
+    if ( response.content.size() >= 5 &&
+         response.content[1].toString() == "NAMESPACE" ) {
       // Personal namespaces
       d->personalNamespaces = d->processNamespaceList( response.content[2].toList() );
 
@@ -141,3 +141,4 @@ void NamespaceJob::handleResponse( const Message &response )
 }
 
 #include "namespacejob.moc"
+
